## icon 9.5.24a

=== tests/Makefile ===
#  Makefile for testing Icon


#  The default is to run all tests.

Test    Test-icont:	; cd general; $(MAKE) Test
Samples Samples-icont:	; cd general; $(MAKE) Samples


#  Clean up.

Clean Pure:
	cd bench;	$(MAKE) Clean
	cd general;	$(MAKE) Clean
	cd special;	$(MAKE) Clean
