=== debian/changelog ===
icon (9.5.24a-1) unstable; urgency=medium

  * QA upload.

  [ Mechtilde ]
  * [e465b09] New upstream version 9.5.24a
  * [c1dc9ce] Updated patches for new upstrem version
  * [88732a1] Improved d/p/001-*.patch
  * [0db176e] Additional dependency libxpm-dev

 -- Mechtilde Stehmann <mechtilde@debian.org>  Fri, 02 Aug 2024 20:11:30 +0200

icon (9.4.3-8) unstable; urgency=medium

  * QA upload.

  [ Vagrant Cascadian ]
  * debian/rules: Add -ffile-prefix-map to CFLAGS to avoid embedded
    build paths. Adjust call to sed to handle "/" in the expression
    (Closes: #1021461).

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.6.2 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Added Homepage to d/control.
  * Added d/watch to track upstream from github.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 03 Jun 2024 07:50:58 +0200
