## icon 9.5.24b

=== config/Makefile ===
#  Makefile for cleaning up after setup.sh

TOP = ..
SRC = $(TOP)/src


Clean:

Pure:
	rm -f $(TOP)/Makedefs
	rm -f $(SRC)/h/define.h
