=== debian/changelog ===
icon (9.5.24b-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 21 Mar 2025 13:02:08 -0400

icon (9.5.24a-2) unstable; urgency=medium

  * QA upload.
  * Support building without (fake)root.

 -- Niels Thykier <niels@thykier.net>  Fri, 08 Nov 2024 09:25:34 +0000
