=== config/Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #  Makefile for cleaning up after setup.sh
+.POSIX:
 
 TOP = ..
 SRC = $(TOP)/src
