=== debian/changelog ===
icon (9.5.25a-2) unstable; urgency=medium

  * QA upload.
  * Drop patch 003-fix-ftbfs-with-glibc-2.28.patch: the underlying issue was
    fixed upstream already, and the patch changes the behaviour only on Haiku.
  * Fix the build on Hurd: upstream ship a "hurd" build configuration, so
    - drop the "gnu" build configuration from patch 001-debian-changes.patch
    - simplify setting the build name in debian/rules: assume that the needed
      one is the same as $DEB_HOST_ARCH_OS (in case it is not for future
      architectures, as simple override can be added)
    - backport the upstream PR https://github.com/gtownsend/icon/pull/11 to fix
      the existing "hurd" build configuration; patch
      Update-Hurd-build-configuration.patch

 -- Pino Toscano <pino@debian.org>  Sun, 21 Sep 2025 18:36:43 +0200

icon (9.5.25a-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 9.5.25a
    + Support building with gcc-15 (Closes:1096826)
  * Adapt patch 001 to new version

 -- Mechtilde Stehmann <mechtilde@debian.org>  Tue, 09 Sep 2025 15:27:14 +0200
