=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: icon
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Section: devel
 Priority: optional
 Build-Depends: libx11-dev,
