=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 # Do we make iconx link with xpm.so?
 
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
-DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
 
 # The current code use type-punning and signed overflow
@@ -14,15 +13,7 @@
   CFLAGS_OPT = -O2 -fno-strict-aliasing -fno-strict-overflow
 endif
 
-ifneq (, $(filter $(DEB_HOST_ARCH_OS), linux kfreebsd knetbsd))
-  system = linux
-else
-  ifeq ($(DEB_HOST_ARCH_OS),hurd)
-    system = gnu
-  else
-    system = $(DEB_HOST_ARCH_OS)
-  endif
-endif
+system = $(DEB_HOST_ARCH_OS)
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   CFLAGS_OPT = -O0
@@ -81,12 +72,11 @@
 #	cd debian/icont/usr/share/man/man1 && ln -sf icont.1.gz icont.real.1.gz
 # Fix permissions...
 	chmod -R u=rwX,go=rX debian/icont
-	chown -R root:root debian/icont
 # Make the debian control area.
 	dpkg-shlibdeps -pshlibs-icont debian/icont/usr/bin/*
 	dpkg-gencontrol -picont -Pdebian/icont
 # And finally, build the Debian package!
-	dpkg --build debian/icont ..
+	dpkg-deb --root-owner-group --build debian/icont ..
 
 binary-iconx: build-icont
 	rm -rf debian/iconx
@@ -107,12 +97,11 @@
 	gzip -9rn debian/iconx/usr/share/man
 # Fix permissions...
 	chmod -R u=rwX,go=rX debian/iconx
-	chown -R root:root debian/iconx
 # Make the debian control area.
 	dpkg-shlibdeps -pshlibs-iconx debian/iconx/usr/bin/*
 	dpkg-gencontrol -piconx -Pdebian/iconx
 # And finally, build the Debian package!
-	dpkg --build debian/iconx ..
+	dpkg-deb --root-owner-group --build debian/iconx ..
 
 binary-ipl: build-ipl
 	rm -rf debian/icon-ipl
@@ -133,11 +122,10 @@
 		xargs --no-run-if-empty gzip -9n
 # Fix permissions...
 	chmod -R u=rwX,go=rX debian/icon-ipl
-	chown -R root:root debian/icon-ipl
 # Make the debian control area.
 	dpkg-gencontrol -picon-ipl -Pdebian/icon-ipl
 # And finally, build the Debian package!
-	dpkg --build debian/icon-ipl ..
+	dpkg-deb --root-owner-group --build debian/icon-ipl ..
 
 test: build-icont build-ipl
 	@echo Tests for the Icon interpreter.
