=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/gtownsend/icon/tags \
   (?:.*?/)?v?(\d[\d\w.]*)\.tar\.gz debian uupdate
